#!/bin/sh
# $MBINS/console-hdr.sh
#### set -xe
# Variables
GEOM="g 85x22+240+140" # position
COLR="bg black -fg snow" # couleurs
# ICN="icon /usr/share/pixmaps/puppy/terminal.svg" # icône # Sert à quoi ?
CADR="b 18 -sr ";TITR="Terminal urxvt"
WDWMNGR="`cat /etc/windowmanager`"
TRNSP="tr -tint AntiqueWhite1 -sh 40" # -$TRNSP
# transparence pas active avec les taquets perl, on dirait.
FNT="fn xft:Monaco:pixelsize=14:antialias=true:autohint=true" # fonte
#
#if [ "`urxvt -pe &>/dev/nul;echo $?`" = "0" ];then
	TAQT="pe tabbed -tab-fg 15 -tab-bg 9 -tabbar-bg 6"
# Si on a un urxvt avec une capacité de perl.
# Couleurs des taquets : 1 rouge # 4 bleu # 7 gris
# -tab-bg 0" # taquets
	PARAM="$CADR -$GEOM -$FNT -$COLR -$TRNSP -$TAQT"
#else
# Sinon :
#	PARAM="$CADR -$GEOM -$FNT -$COLR -$TRNSP"
#fi
#

# Action
case ${WDWMNGR:0:3} in
	wmx)kill -s 15 `ps a | awk '$0 ~ /Terminal urxvt/ && $5=="urxvt" { print $1 }'` || urxvt -$TAQT -cd $PWD -T "$TITR" -$PARAM &>/dev/null & ;;
	*)wmctrl -c "$TITR" || urxvt -cd $PWD -T "$TITR" -$PARAM &>/dev/null & ;;
# wmctrl plus "doux" mais inefficace sous wmx
esac

####
# Ne pas oublier de remplacer xterm dans ROX-Filer par
# urxvt -b 18 -fn xft:Monaco:pixelsize=15:antialias=true:hinting=true -g 80x22+240+140 -bg black -fg snow -tr -tint AntiqueWhite2 -sh 101 &>/dev/null

# set +xe
